org.apache.fop.area

## Class BeforeFloat

- java.lang.Object
- - org.apache.fop.area.AreaTreeObject
  - - org.apache.fop.area.Area
    - - org.apache.fop.area.BlockParent
      - - org.apache.fop.area.BeforeFloat

All Implemented Interfaces:
  Serializable, Cloneable

    public class BeforeFloat
    extends BlockParent

The before-float-reference-area optionally generated by an fo:region-body. It has an optional separator and before float block children. See fo:region-body definition in the XSL Rec for more information.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.fop.area.BlockParent

`children, xOffset, yOffset`

### Fields inherited from class org.apache.fop.area.Area

`bidiLevel, bpd, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, effectiveIPD, ipd, log, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, traits`

### Fields inherited from class org.apache.fop.area.AreaTreeObject

`extensionAttachments, foreignAttributes`

### Constructor Summary

Constructors
Constructor and Description
`BeforeFloat()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getBPD()` Get the height of this before float.
`Block` `getSeparator()` Get the separator area for this before float.
`boolean` `isEmpty()` Check whether there are child areas.
`void` `setSeparator(Block sep)` Set the separator area for this before float.

### Methods inherited from class org.apache.fop.area.BlockParent

`activateEffectiveIPD, addBlock, addChildArea, getChildAreas, getEffectiveIPD, getXOffset, getYOffset, setXOffset, setYOffset`

### Methods inherited from class org.apache.fop.area.Area

`addTrait, clone, getAllocBPD, getAllocIPD, getAreaClass, getBidiLevel, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getChangeBarList, getEffectiveAllocIPD, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, resetBidiLevel, setAreaClass, setBidiLevel, setBPD, setChangeBarList, setIPD, setTraits, setWritingModeTraits, toString`

### Methods inherited from class org.apache.fop.area.AreaTreeObject

`addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BeforeFloat

    public BeforeFloat()

### Method Detail

#### setSeparator

    public void setSeparator(Block sep)

Set the separator area for this before float.

Parameters:
  `sep` - the before float separator area

#### getSeparator

    public Block getSeparator()

Get the separator area for this before float.

Returns:
  the before float separator area

#### getBPD

    public int getBPD()

Get the height of this before float. It gets the height of the children and if there is a separator its height is also added.

Overrides:
  `getBPD` in class `Area`
Returns:
  the height of the before float including separator
See Also:
  bpd

#### isEmpty

    public boolean isEmpty()

Check whether there are child areas.

Overrides:
  `isEmpty` in class `BlockParent`
Returns:
  the result.